## love 0.7.1

=== debian/changelog ===
love (0.7.1-1) unstable; urgency=low

  * New Upstream Release.
  * Don't show LÖVE in the application's menu

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 28 Aug 2010 22:14:18 +0200

love (0.6.2-1) experimental; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release.
  * Upgraded Standards-Version from 3.8.1 to 3.9.1
  * Added build dependencies: pkg-config, libmpg123-dev, libopenal-dev,
    libflac++-dev, libmng-dev, libmodplug-dev, libxpm-dev, libxcursor-dev,
    libxxf86vm-dev, libtiff4-dev, libpng12-dev
  * Refreshed gcc-4.4.patch and removed the rest of patches
  * Added support for alternatives, so that different versions of löve can
    co-exist in the system
  * Changed source format to 3.0 (native)

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 25 Aug 2010 05:06:09 +0200

love (0.5.0-2) unstable; urgency=low

  [ Miriam Ruiz ]
  * Fix FTBFS but in gcc 4.4. Closes: #505703.
    Thanks to Martin Michlmayr.

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat, 30 May 2009 00:53:10 +0200

love (0.5.0-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release. Closes: #527724
  * Fixed packages short descriptions
  * Uses autotools for building now. Added autotools-dev to Build-Depends
  * Removed package liblove-dev
  * Upgraded Standards-Version to 3.8.1
  * Fixed packages sections in debian/control
  * Added call to dh_desktop in debian/rules
  * Fixed debian/copyright
  * Updated documentation

  [ Gonéri Le Bouder ]
  * add no-ILvoid-type.diff to avoid ILvoid usage since the type is not
    defined in libdevil anymore 
  * add reference to /usr/share/common-licenses/{BSD,GPL,LGPL} to avoid
    lintian crying
  * change Section from game to interpreters to avoid another lintian warning

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 02 May 2009 18:24:50 +0200

love (0.4.0-2) unstable; urgency=low

  [ Miriam Ruiz ]
  * Moved Build-Depends-Indep to Build-Depends. Closes: #503382

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 25 Oct 2008 15:30:45 +0200

love (0.4.0-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * Initial release (Closes: #494955)

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 30 Aug 2008 02:50:02 +0200
