=== debian/control ===
Source: love
Section: interpreters
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>
Build-Depends: debhelper (>= 7), autotools-dev, dh-buildinfo, sng,
 pkg-config, libboost-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, libopenal-dev,
 liblua5.1-0-dev, libphysfs-dev, libdevil-dev, libfreetype6-dev, libmng-dev,
 libmodplug-dev, libmpg123-dev, libflac++-dev, libxpm-dev, libxcursor-dev,
 libxxf86vm-dev, libtiff4-dev, libpng12-dev, lua5.1, liblua5.1-expat0
Standards-Version: 3.9.1
Homepage: http://love2d.org/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/love/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/love/?op=log

Package: love
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 2D game development framework based on Lua and OpenGL
 LÖVE was created to be a user-friendly engine in which simple (or
 complicated) games could be made without having extensive knowledge
 of system or graphics functions and without having to dedicate time
 towards developing the same engine features time and time again.
 .
 Developed with cross-platform implementation in mind, it utilizes the
 latest open source libraries to deliver a similar game experience,
 independent of operating system. By relying on the Lua scripting language
 for game-specific programming, it allows even the novice game creator to
 quickly and efficiently develop an idea into a fully working game.

Package: love-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, love (= ${binary:Version})
Description: 2D game development framework - debugging symbols
 LÖVE was created to be a user-friendly engine in which simple (or
 complicated) games could be made without having extensive knowledge
 of system or graphics functions and without having to dedicate time
 towards developing the same engine features time and time again.
 .
 Developed with cross-platform implementation in mind, it utilizes the
 latest open source libraries to deliver a similar game experience,
 independent of operating system. By relying on the Lua scripting language
 for game-specific programming, it allows even the novice game creator to
 quickly and efficiently develop an idea into a fully working game.
 .
 This package includes the debug symbols for LÖVE.

Package: love-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: love
Description: 2D game development framework - documentation
 LÖVE was created to be a user-friendly engine in which simple (or
 complicated) games could be made without having extensive knowledge
 of system or graphics functions and without having to dedicate time
 towards developing the same engine features time and time again.
 .
 Developed with cross-platform implementation in mind, it utilizes the
 latest open source libraries to deliver a similar game experience,
 independent of operating system. By relying on the Lua scripting language
 for game-specific programming, it allows even the novice game creator to
 quickly and efficiently develop an idea into a fully working game.
 .
 This package includes the Reference Manual for LÖVE.
