## love 0.7.2

=== debian/changelog ===
love (0.7.2-1build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 08:43:11 +0100

love (0.7.2-1) unstable; urgency=low

  * New Upstream Release.
  * Upgraded Standards-Version from 3.9.1 to 3.9.2
  * Changed Priority to optional
  * Divided scripts_source.patch in two:
    scripts_source.patch and scripts_refresh.patch

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 10 May 2011 01:58:46 +0200
