=== debian/rules ===
#!/usr/bin/make -f

PRG_SUFFIX=0.7

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp: 
	dh_testdir
	[ ! -d debian/pixmaps ] || { cd debian/pixmaps && for i in *.sng; do sng "$$i"; done; }

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	./configure $(CROSS) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		CFLAGS="$(CFLAGS) `pkg-config openal flac++ --cflags --libs`" \
		LDFLAGS="-Wl,-z,defs  -Wl,-as-needed `pkg-config openal flac++ --libs`"
	touch $@

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp  
	dh_testdir
	touch $@

build: build-indep build-arch

clean: 
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess config.log config.cache
	rm -f *-stamp
	rm -f bin/*
	rm -rf obj/*
	rm -f `find . -name "*.o"`
	[ ! -d debian/pixmaps ] || rm -vf debian/pixmaps/*.png
	dh_clean 

install-arch: build-arch-stamp
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a
	$(MAKE) DESTDIR=$(CURDIR)/debian/love install
	mv debian/love/usr/bin/love debian/love/usr/bin/love-$(PRG_SUFFIX)

install-indep: build-indep-stamp
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i

install: install-indep install-arch

binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
#	dh_installmenu -i
	dh_installmime -i
#	dh_installinfo -i
	dh_link -i
	dh_compress -i --exclude=.love --exclude=.lua
	dh_fixperms -i
	test -e /usr/bin/dh_buildinfo && dh_buildinfo -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs changes.txt -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
#	dh_installmenu -a
	dh_installmime -a
#	dh_installinfo -a
	dh_installman debian/love-$(PRG_SUFFIX).1 -a
	dh_link -a
	dh_strip --dbg-package=love-dbg -a
	dh_compress -a --exclude=.love --exclude=.lua
	dh_fixperms -a
#	dh_makeshlibs -a
	test -e /usr/bin/dh_buildinfo && dh_buildinfo -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build build-indep build-arch
.PHONY: binary binary-indep binary-arch
.PHONY: install install-indep inatall-arch configure
.PHONY: clean configure
