## love 0.8.0

=== debian/changelog ===
love (0.8.0-6ubuntu2) trusty; urgency=low

  * Switch liblua5.1-expat0 to lua-expat due to changes in lua policy and
    updated binary names
    - update debian/control 

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 27 Oct 2013 12:34:37 -0500

love (0.8.0-6ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. (LP: #1214672) Remaining changes:
    - debian/control:
      - Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Artur Rona <ari-tczew@tlen.pl>  Wed, 21 Aug 2013 03:21:40 +0200

love (0.8.0-6) unstable; urgency=low

  * Fixed stupid error, /usr/share/binfmts/love was not installed

 -- Miriam Ruiz <miriam@debian.org>  Thu, 15 Aug 2013 23:25:43 +0200

love (0.8.0-5) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Miriam Ruiz ]
  * Upgraded Standards-Version from 3.9.3 to 3.9.4
  * Changed my email address to miriam@debian.org

 -- Miriam Ruiz <miriam@debian.org>  Thu, 15 Aug 2013 19:12:56 +0200

love (0.8.0-4) experimental; urgency=low

  * Team upload.
  * Update Vcs-Browser control file field.
  * If binfmt-tools is installed, associate .love files with
    /usr/bin/love. Closes: #628438.
  * Lintian override for mention of LGPL in copyright file.
  * Lintian override for /usr/bin/love in .desktop file.
  * Call dh_lintian to install the overrides.
  * Don't ship a duplicate changelog at changes.txt.gz

 -- Jonathan Dowland <jmtd@debian.org>  Thu, 21 Feb 2013 23:05:10 +0000
 

love (0.8.0-3ubuntu1) raring; urgency=low

  * A new merge from Debian. Rmaining changes:
    - change libtiff4-dev to libtiff-dev.

 -- Oussama Bounaim <o.bounaim@gmail.com>  Sat, 03 Nov 2012 16:08:32 +0100

love (0.8.0-3) unstable; urgency=low

  * Team upload.
  * Add glee-dev to Build-Depends. Closes: #690871

 -- Bas Wijnen <wijnen@debian.org>  Thu, 18 Oct 2012 20:35:56 +0200

love (0.8.0-2) unstable; urgency=low

  * Team upload.
  * Convert copyright file to machine readable format.
  * Add copyright information for utf8-cpp. Closes: #690394
  * Add hardening flags to build rules. Closes: #690494
  * Replace included GLee with system version. Closes: #690492

 -- Bas Wijnen <wijnen@debian.org>  Sun, 14 Oct 2012 15:01:02 +0200

love (0.8.0-1ubuntu1) quantal; urgency=low

  * change libtiff4-dev to libtiff-dev

 -- Julian Taylor <jtaylor@ubuntu.com>  Sun, 30 Sep 2012 17:08:20 +0200

love (0.8.0-1) unstable; urgency=low

  * New Upstream Release. Closes: #664821
  * Upgraded Standards-Version from 3.9.2 to 3.9.3
  * Added libvorbis-dev and glee-dev to Build-Depends. Closes: #672909
  * Refreshed patches
  * Removed usage of sng for handling png files in debian/
  * Tried to removed internal glee, but it doesn't seem to like the system's one

 -- Miriam Ruiz <little_miry@yahoo.es>  Sun, 03 Jun 2012 00:29:52 +0200
