=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: love
 Section: interpreters
-Priority: extra
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Miriam Ruiz <little_miry@yahoo.es>
-Build-Depends: debhelper (>= 7), autotools-dev, dh-buildinfo, sng,
- pkg-config, libboost-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, libopenal-dev,
- liblua5.1-0-dev, libphysfs-dev, libdevil-dev, libfreetype6-dev, libmng-dev,
- libmodplug-dev, libmpg123-dev, libflac++-dev, libxpm-dev, libxcursor-dev,
- libxxf86vm-dev, libtiff4-dev, libpng12-dev, lua5.1, liblua5.1-expat0
-Standards-Version: 3.9.1
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Miriam Ruiz <miriam@debian.org>
+Build-Depends: debhelper (>= 7), autotools-dev, automake, autoconf, libtool,
+ dh-buildinfo, pkg-config, libboost-dev, libsdl1.2-dev, libsdl-mixer1.2-dev,
+ libopenal-dev, liblua5.1-0-dev, libphysfs-dev, libdevil-dev, libfreetype6-dev,
+ libmng-dev, libmodplug-dev, libmpg123-dev, libflac++-dev, libxpm-dev,
+ libxcursor-dev, libxxf86vm-dev, libtiff-dev, libpng12-dev, lua5.1,
+ lua-expat, libvorbis-dev, glee-dev
+Standards-Version: 3.9.4
 Homepage: http://love2d.org/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/love/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/love/?op=log
+Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/love/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/love/
 
 Package: love
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: binfmt-support
 Description: 2D game development framework based on Lua and OpenGL
  LÖVE was created to be a user-friendly engine in which simple (or
  complicated) games could be made without having extensive knowledge
