=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,20 @@
 #!/usr/bin/make -f
 
-PRG_SUFFIX=0.7
+PRG_SUFFIX=0.8
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
 configure: configure-stamp
 configure-stamp: 
 	dh_testdir
-	[ ! -d debian/pixmaps ] || { cd debian/pixmaps && for i in *.sng; do sng "$$i"; done; }
+
+	libtoolize
+	autoreconf -vfi
 
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	cp -f /usr/share/misc/config.sub config.sub
@@ -21,8 +27,8 @@
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
-		CFLAGS="$(CFLAGS) `pkg-config openal flac++ --cflags --libs`" \
-		LDFLAGS="-Wl,-z,defs  -Wl,-as-needed `pkg-config openal flac++ --libs`"
+		CFLAGS="$(CPPFLAGS) $(CXXFLAGS) $(CFLAGS) `pkg-config openal flac++ --cflags --libs`" \
+		LDFLAGS="$(LDFLAGS) -Wl,-z,defs  -Wl,-as-needed `pkg-config openal flac++ --libs`"
 	touch $@
 
 build-arch: build-arch-stamp
@@ -42,12 +48,14 @@
 	dh_testdir
 	dh_testroot
 	[ ! -f Makefile ] || $(MAKE) distclean
-	rm -f config.sub config.guess config.log config.cache
-	rm -f *-stamp
-	rm -f bin/*
-	rm -rf obj/*
-	rm -f `find . -name "*.o"`
-	[ ! -d debian/pixmaps ] || rm -vf debian/pixmaps/*.png
+	#rm -fv src/modules/graphics/opengl/GLee.*
+	rm -fv config.sub config.guess config.log config.cache
+	rm -fv *-stamp
+	rm -fv bin/*
+	rm -rfv obj/*
+	rm -fv `find . -name "*.o"`
+	rm -fv configure Makefile.in src/Makefile.in aclocal.m4
+	rm -rfv platform/
 	dh_clean 
 
 install-arch: build-arch-stamp
@@ -92,10 +100,13 @@
 	dh_installdocs -a
 	dh_installexamples -a
 	dh_install -a
+	mkdir -p debian/love/usr/share/binfmts/
+	cp debian/love.binfmt debian/love/usr/share/binfmts/love
 #	dh_installmenu -a
 	dh_installmime -a
 #	dh_installinfo -a
 	dh_installman debian/love-$(PRG_SUFFIX).1 -a
+	dh_lintian
 	dh_link -a
 	dh_strip --dbg-package=love-dbg -a
 	dh_compress -a --exclude=.love --exclude=.lua
