## love 0.9.1

=== Makefile ===
SOURCE_DIRS = $(shell find . -name 'main.lua' | awk -F'/' '{print $$2}')
LOVE_FILES = $(SOURCE_DIRS:=.love)

all: $(LOVE_FILES)

%.love: %
	cd $< && zip --recurse-paths ../$@ *

clean:
	rm -vf *.love
