=== debian/changelog ===
love (0.9.1-4ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Don't build-depend on luajit on arm64 and ppc64el.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Aug 2016 13:36:48 -0700

love (0.9.1-4) unstable; urgency=medium

  * Team upload.
  * Drop README.source because source format 3.0 uses quilt by default.
  * wrap-and-sort -sab.
  * Use compat level 9 and require debhelper >= 9.
  * Declare compliance with Debian Policy 3.9.8.
  * Use secure Vcs-Browser URL.
  * Drop love-dbg binary package and use the automatic -dbgsym package instead.
  * Remove spurious libmng-dev build-dependency.
    Thanks to Moritz Muehlenhoff for the report. (Closes: #757171)
  * Build demos in arch-indep target. (Closes: #806657)
  * Use default xz compression for the debian tarball.
  * Fix Lintian warnings in debian/copyright.
  * debian/rules: Fix Lintian error privacy-breach-google-plus.

 -- Markus Koschany <apo@debian.org>  Wed, 03 Aug 2016 22:37:52 +0200

love (0.9.1-3ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Don't build-depend on luajit on arm64 and ppc64el.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 16 Nov 2014 22:38:32 -0600

love (0.9.1-3) unstable; urgency=medium

  * Team upload.
  * Add Breaks+Replaces relation against older versions of love to fix
    wheezy -> jessie upgrades. (Closes: #768206)

 -- Vincent Cheng <vcheng@debian.org>  Thu, 13 Nov 2014 23:17:35 -0800

love (0.9.1-2ubuntu2) utopic; urgency=medium

  * Fix non-ascii character in debian/control.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 19 Sep 2014 10:59:43 -0700

love (0.9.1-2ubuntu1) utopic; urgency=medium

  * Don't build-depend on luajit on arm64 and ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 05 Sep 2014 02:16:23 +0200

love (0.9.1-2) unstable; urgency=medium

  * Don't use luajit for architectures where it is not supported:
    hurd-i386 !kfreebsd-amd64 !s390x
  * Moved demos to love-doc package to make love package lighter

 -- Miriam Ruiz <miriam@debian.org>  Mon, 28 Apr 2014 22:34:08 +0200

love (0.9.1-1) unstable; urgency=medium

  [ Miriam Ruiz ]
  * New upstream release
    + 0.9.1's API is fully backward compatible with existing 0.9.0 games.
    + Most of the changes are bug fixes, internal code improvements, and
    + some API additions and updates to flesh out LÖVE's features,
    + especially in the love.graphics module.
    + See http://love2d.org/forums/viewtopic.php?f=3&t=77609
    + See https://www.love2d.org/wiki/0.9.1
  * Refreshed patches
  * Temporarily removed the patches to use Glee from system, as Glee 5.5 is
    needed for the program to compile.

 -- Miriam Ruiz <miriam@debian.org>  Fri, 11 Apr 2014 08:02:09 +0200

love (0.9.0-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New upstream release
    + LÖVE 0.9.0 breaks compatibility with nearly every 0.8.0 game (as usual).
    + Added three new modules: love.window, love.math, and love.system.
    + Reworked the love.joystick and love.thread modules.
    + New graphic features, including polygon meshes and vertex shaders.
    + Integrated the ENet networking library via lua-enet.
    + Renamed many functions to be more consistent with the rest of the API.
    + Improved the performance of several APIs in love.graphics.
    + See the whole list of changes at https://www.love2d.org/wiki/0.9.0
  * Refreshed patches
    + New scripts_source.patch obtained from bitbucket.org source code repo
  * Fixed dependencies
  * Using dh_autoreconf
  * Fixed the demos. They new API is not compatible with the old one anymore.
  * Upgraded Standards-Version from 3.9.4 to 3.9.5

 -- Miriam Ruiz <miriam@debian.org>  Sat, 11 Jan 2014 01:01:36 +0100

love (0.8.0-7) unstable; urgency=medium

  * Team upload.
  * Add fix-freetype-includes.patch to fix a FTBFS. Closes: #733357
  * Set urgency to medium due to a fix for a RC bug.
  * Change libtiff4-dev and libpng12-dev to libtiff-dev and libpng-dev.
    Closes: #723149. Thanks Artur Rona.
  * Change liblua5.1-expat0 to lua-expat. Closes: #728028. Thanks Micah Gersten.
  * Enable hardening also for C++ code.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Wed, 01 Jan 2014 11:59:47 +0200
