## love 11.1

=== debian/changelog ===
love (11.1-2) unstable; urgency=medium

  * Team upload.
  * Remove luajit dependency restriction on hurd-i386 and kfreebsd-amd64.
  * Restore check for lua implementation for architectures without luajit.
  * Drop big-endian architectures as the hash module requires little-endian.
  * Enable also non-release little-endian architectures.
  * Drop unused build dependencies.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 04 Aug 2018 16:05:52 +0200

love (11.1-1) unstable; urgency=medium

  [ Reiner Herrmann, Alexandre Detiste ]
  * Team upload.
  * New upstream version 11.1. (Closes: #830876, #815170))
    - The package builds from source again. (Closes: #873329)
  * Fix FTCBFS by switching to dh sequencer. (Closes: #894041)
  * Bump Standards-Version to 4.2.0
  * Drop scripts_source.patch; included in upstream tarball
  * Remove LDADD section from src/Makefile.am patch.
    It was no longer building as it couldn't find a target '.libs/liblove.a'.
  * Convert to dh-based build
  * Disable -doc package for now.
    It's currently unclear to me where the -doc and -demos tarball
    is coming from.
  * Since the -doc package is disabled and the patch for upstream's manpage was
    accepted, this (Closes: #892917)
  * The mimelnk files are no longer installed. (Closes: #875525)
  * Remove unused lintian-override
  * Install files only via dh_install; otherwise it installs static library too
  * Add build dependency libtheora-dev

  [ Markus Koschany ]
  * Remove autoconf and automake from B-D because compat 11 provides them
    automatically.

 -- Markus Koschany <apo@debian.org>  Fri, 03 Aug 2018 12:09:05 +0200
