=== debian/watch ===
version=4
https://bitbucket.org/rude/love/downloads/love@ANY_VERSION@-linux-src@ARCHIVE_EXT@
