## love 11.3

=== debian/changelog ===
love (11.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.5.0.
    - declare that d/rules does not require root
  * Update debhelper compat to 12.
  * Drop remaining big-endian architectures. (Closes: #906925)
  * Build with stb_image.h from libstb-dev instead of embedded copy.
    (Closes: #949634)
  * Update copyrights.
  * Remove references to removed -doc package.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 04 Feb 2020 23:58:08 +0100
