=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 	dh $@
 
 override_dh_auto_configure:
+	ln -sf /usr/include/stb/stb_image.h src/libraries/stb/stb_image.h
 	dh_auto_configure -- --disable-shared --enable-static --with-lua=$(LUA_IMPL)
 	# rebuild C++ header files:
 	cd src/scripts/ && lua auto.lua boot nogame
