## love 11.4

=== debian/changelog ===
love (11.4-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Remove luajit build dependency on ppc64el. (Closes: #1011300)

  [ Michael Biebl ]
  * Add support for systemd-binfmt. (Closes: #1012363)

  [ Reiner Herrmann ]
  * New upstream release.
  * Update versions in postinst/prerm.
  * Bump Standards-Version to 4.6.1.
  * Bump debhelper compat version to 13.
  * Point d/watch to github, as bitbucket is no longer used.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 09 Jun 2022 11:44:50 +0200
